{
  "name": "fs-admin",
  "version": "2.5.1",
  "type": "module",
  "scripts": {
    "dev": "vite --host",
    "build": "run-p type-check build-only",
    "preview": "vite preview --port 4173",
    "build-only": "vite build",
    "build-test": "vite build --mode test",
    "type-check": "vue-tsc --noEmit",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "module": "plop module",
    "micro": "plop micro"
  },
  "dependencies": {
    "@amap/amap-jsapi-loader": "^1.0.1",
    "@element-plus/icons-vue": "^2.3.1",
    "@fskj-admin/core": "^1.4.13",
    "@fskj-admin/micro": "^0.1.0",
    "@icon-park/vue-next": "^1.4.2",
    "@vueuse/core": "^10.11.1",
    "@vxe-ui/plugin-render-element": "^4.0.5",
    "@wangeditor/editor": "^5.1.23",
    "@wangeditor/editor-for-vue": "^5.1.12",
    "axios": "^1.7.4",
    "dayjs": "^1.11.12",
    "element-plus": "^2.8.0",
    "exceljs": "^4.4.0",
    "html2canvas": "^1.4.1",
    "nprogress": "^0.2.0",
    "pinia": "^2.2.1",
    "splitpanes": "^3.1.5",
    "vue": "^3.4.38",
    "vue-cropper": "^1.1.4",
    "vue-router": "^4.4.3",
    "vxe-pc-ui": "^4.0.95",
    "vxe-table": "^4.7.65",
    "wujie-vue3": "^1.0.22",
    "xe-utils": "^3.5.30"
  },
  "devDependencies": {
    "@iconify-json/ep": "^1.1.16",
    "@rushstack/eslint-patch": "^1.10.4",
    "@sentry/vite-plugin": "^2.22.2",
    "@tsconfig/node20": "^20.1.4",
    "@types/node": "^20.14.15",
    "@types/nprogress": "^0.2.3",
    "@types/qs": "^6.9.15",
    "@vitejs/plugin-vue": "^5.1.2",
    "@vitejs/plugin-vue-jsx": "^3.1.0",
    "@vue/eslint-config-prettier": "^9.0.0",
    "@vue/eslint-config-typescript": "^12.0.0",
    "@vue/tsconfig": "^0.5.1",
    "eslint": "^8.57.0",
    "eslint-plugin-vue": "^9.27.0",
    "npm-run-all": "^4.1.5",
    "plop": "^4.0.1",
    "prettier": "^3.3.3",
    "sass": "^1.77.8",
    "typescript": "~5.3.3",
    "unocss": "^0.61.9",
    "unplugin-auto-import": "^0.17.8",
    "unplugin-icons": "^0.19.2",
    "unplugin-vue-components": "^0.26.0",
    "unplugin-vue-define-options": "^1.4.9",
    "vite": "^5.4.0",
    "vite-plugin-lazy-import": "^1.0.7",
    "vite-plugin-style-import": "^2.0.0",
    "vite-plugin-svg-icons": "^2.0.1",
    "vite-plugin-vue-devtools": "^7.3.8",
    "vue-tsc": "^2.0.29"
  }
}
